/	Copyright (c) 1984, 1986, 1987, 1988 AT&T
/	  All Rights Reserved

/	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
/	The copyright notice above does not evidence any
/	actual or intended publication of such source code.
	.file	"execv.s"

	.ident	"@(#)libc-i386:libc-i386/sys/execv.s	1.2"

#include <sys.s>

	.globl	execv
	.globl	execve
	.globl	environ

execv:
	MCOUNT			/ subroutine entry counter if profiling
	pushl	environ		/ default environment
	pushl	12(%esp)	/ argv ptr (1 arg + retaddr+ push)
	pushl	12(%esp)	/ file name (0 args + retaddr + 2 push)
	call	execve
	addl	$12,%esp
	ret
